java.lang.IncompatibleClassChangeError when deploying C24 and Saxon EE on Fuse 7 over EAP

Solution Verified - Updated -

Issue

When deploying C24 libraries on Fuse 7 over EAP 7, appears this error:

Loader: java.lang.IncompatibleClassChangeError: Failed to link biz/c24/io/api/data/saxon/SimpleDocumentNode 

Environment

  • Red Hat JBoss Enterprise Application Platform (EAP)
    • 7.x
  • Red Hat Fuse (Fuse)
    • 7.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In